## palapeli 18.04.1.1

=== debian/changelog ===
palapeli (4:18.04.1.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:46:30 +0800

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	$(overridden_command)
	# do not ship development stuff
	find debian/tmp -name '*.so' -type l -delete
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/libpala/*.cmake

## palapeli 18.04.3

=== debian/changelog ===
palapeli (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:23:58 +0100

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5completion-dev (>= 5.15.0),
               libkf5config-dev (>= 5.15.0),
               libkf5configwidgets-dev (>= 5.15.0),
               libkf5coreaddons-dev (>= 5.15.0),
               libkf5crash-dev (>= 5.15.0),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemviews-dev (>= 5.15.0),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kio-dev (>= 5.15.0),
               libkf5notifications-dev (>= 5.15.0),
               libkf5service-dev (>= 5.15.0),
               libkf5widgetsaddons-dev (>= 5.15.0),
               libkf5xmlgui-dev (>= 5.15.0),
               libqt5svg5-dev (>= 5.3),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.3),
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: palapeli (<< 17.04.1), ${kde-l10n:all}
Replaces: palapeli (<< 17.04.1), ${kde-l10n:all}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 18.12.3

=== debian/changelog ===
palapeli (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:38 +0000

palapeli (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:37 +0000

palapeli (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:58 +0000

palapeli (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:13 +0000

palapeli (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - palapeli-data.lintian-overrides
    - Breaks/Replaces for moved files.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Dec 2018 11:40:01 +0000

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5archive-dev (>= 5.30.0~),
               libkf5completion-dev (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5itemviews-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5notifications-dev (>= 5.30.0~),
               libkf5service-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
               shared-mime-info,
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter, qhull-bin
Breaks: palapeli-data (<< 4:18.08.3~)
Replaces: palapeli-data (<< 4:18.08.3~)
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 19.04.3

=== debian/changelog ===
palapeli (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 16 Aug 2019 13:50:24 +0100

palapeli (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:16 +0100

palapeli (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:16:59 +0100

palapeli (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:46 +0100

palapeli (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Install etc/xdg/palapeli.categories
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
                libkf5itemviews-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5notifications-dev (>= 5.30.0~),
                libkf5service-dev (>= 5.30.0~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:17.08.3-4~
+l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## palapeli 19.08.1

=== debian/changelog ===
palapeli (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.46.0
    - explicitly add gettext
  * Drop the local Debian man page, as it is obsolete.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 11:43:06 +0200

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5archive-dev (>= 5.46.0~),
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5itemviews-dev (>= 5.46.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kio-dev (>= 5.46.0~),
               libkf5notifications-dev (>= 5.46.0~),
               libkf5service-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~),
               shared-mime-info,
Standards-Version: 4.4.1
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 19.12.3

=== CMakeLists.txt ===
project(palapeli)

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
set (QT_MIN_VERSION "5.9.0")
set (KF5_MIN_VERSION "5.46.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Concurrent Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    I18n
    ItemViews
    KIO
    Notifications
    Service
    WidgetsAddons
    XmlGui
)

find_package(KF5DocTools ${KF5_MIN_VERSION})

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/libpala)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
add_subdirectory(libpala)
add_subdirectory(slicers)
add_subdirectory(pics)
add_subdirectory(src)
add_subdirectory(mime)
add_subdirectory(puzzles)
if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES palapeli.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES palapeli.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== puzzles/CMakeLists.txt ===
install(FILES
	castle-maintenon.desktop
	castle-maintenon.jpg
	cincinnati-bridge.desktop
	cincinnati-bridge.jpg
	citrus-fruits.desktop
	citrus-fruits.jpg
	european-honey-bee.desktop
	european-honey-bee.jpg
	panther-chameleon-female.desktop
	panther-chameleon-female.jpg
DESTINATION ${KDE_INSTALL_DATADIR}/palapeli/collection)

install(FILES
	default-collection.conf
DESTINATION ${KDE_INSTALL_CONFDIR}
RENAME palapeli-collectionrc)

=== debian/changelog ===
palapeli (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:13 +0000

palapeli (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:03 +0000

palapeli (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:01:29 +0000

palapeli (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:07 +0000

palapeli (4:19.08.3-0ubuntu1) focal; urgency=medium

  * Sync changes from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu version history.
    - Move qdebug logging file to new location.
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:39:43 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),
@@ -34,8 +34,8 @@
                shared-mime-info,
 Standards-Version: 4.4.1
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
 
 Package: palapeli
 Architecture: any
@@ -43,6 +43,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: khelpcenter, qhull-bin
+Breaks: palapeli-data (<< 4:18.08.3~)
+Replaces: palapeli-data (<< 4:18.08.3~)
 Description: jigsaw puzzle game
  Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
  you are not limited to aligning pieces on imaginary grids. The
@@ -55,8 +57,8 @@
 Package: palapeli-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
-Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
+Breaks: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
+Replaces: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
 Description: data files for palapeli jigsaw puzzle game
  Data files (puzzles) for the palapeli puzzle game.
  .

## palapeli 20.08.1

=== debian/changelog ===
palapeli (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:47 +0100

palapeli (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Homepage to https://kde.org/applications/games/org.kde.palapeli.
    (Closes: #946317)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 10:19:16 +0200

palapeli (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 13:15:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libkf5archive-dev (>= 5.46.0~),
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),
@@ -32,10 +32,11 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                shared-mime-info,
-Standards-Version: 4.4.1
-Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://kde.org/applications/games/org.kde.palapeli
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git
 
 Package: palapeli
 Architecture: any
@@ -43,8 +44,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: khelpcenter, qhull-bin
-Breaks: palapeli-data (<< 4:18.08.3~)
-Replaces: palapeli-data (<< 4:18.08.3~)
 Description: jigsaw puzzle game
  Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
  you are not limited to aligning pieces on imaginary grids. The
@@ -57,8 +56,8 @@
 Package: palapeli-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
-Replaces: palapeli (<< 4:18.08.3~), ${kde-l10n:all}
+Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
+Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
 Description: data files for palapeli jigsaw puzzle game
  Data files (puzzles) for the palapeli puzzle game.
  .

## palapeli 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,18 @@
-project(palapeli)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
-set (QT_MIN_VERSION "5.9.0")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(palapeli VERSION "2.1.${RELEASE_SERVICE_COMPACT_VERSION}")
+
+set (QT_MIN_VERSION "5.10.0")
 set (KF5_MIN_VERSION "5.46.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Concurrent Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -31,6 +38,7 @@
 include(FeatureSummary)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
+include(ECMSetupVersion)
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
@@ -39,9 +47,7 @@
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/libpala)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 add_subdirectory(libpala)
 add_subdirectory(slicers)
 add_subdirectory(pics)

=== debian/changelog ===
palapeli (4:20.12.3-1) unstable; urgency=medium

  * Team upload.
  * Update upstream release signing key.
  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 23:17:37 +0100

palapeli (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 22:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -22,17 +22,17 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),
-               libqt5svg5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.10.0~),
                shared-mime-info,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/games/org.kde.palapeli
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli

## palapeli 21.08.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(palapeli VERSION "2.1.${RELEASE_SERVICE_COMPACT_VERSION}")

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.83.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    ItemViews
    KIO
    Notifications
    Service
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

add_definitions(
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
    -DQT_STRICT_ITERATORS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

add_subdirectory(libpala)
add_subdirectory(slicers)
add_subdirectory(pics)
add_subdirectory(src)
add_subdirectory(mime)
add_subdirectory(puzzles)
add_subdirectory(doc)

ecm_qt_install_logging_categories(EXPORT PALAPELI FILE palapeli.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
palapeli (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:15:29 +0800

palapeli (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:39:52 +0900

palapeli (4:21.04.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Mon, 10 May 2021 11:44:24 +0900

palapeli (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libkf5kdegames-dev version.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:03:44 +0900

## palapeli 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
palapeli (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:41 +0100

palapeli (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:11:34 +0100

palapeli (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:06:12 +0100

palapeli (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:40:12 +0100

palapeli (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:54 +0100

palapeli (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:50:28 +0100

palapeli (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:16:50 +0100

palapeli (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),

## palapeli 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(palapeli VERSION "2.1.${RELEASE_SERVICE_COMPACT_VERSION}")

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    ItemViews
    KIO
    Notifications
    Service
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(libpala)
add_subdirectory(slicers)
add_subdirectory(pics)
add_subdirectory(src)
add_subdirectory(mime)
add_subdirectory(puzzles)
add_subdirectory(doc)

ecm_qt_install_logging_categories(EXPORT PALAPELI FILE palapeli.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libpala/CMakeLists.txt ===
project(libpala)

include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

set(libpala_VERSION "0.2.0")
set(libpala_SOVERSION "0")
# Pala/ is include visibility protection layer
set(libpala_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/Pala)

add_library(pala SHARED)

target_sources(pala PRIVATE
    slicer.cpp
    slicerjob.cpp
    slicermode.cpp
    slicerproperty.cpp
    slicerpropertyset.cpp
)

ecm_qt_declare_logging_category(pala
    HEADER libpala_debug.h
    IDENTIFIER PALAPELI_LIBPALA_LOG
    CATEGORY_NAME org.kde.palapeli.libpala
    DESCRIPTION "palapeli (libpala)"
    EXPORT PALAPELI
)

set(libpala_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/libpala_export.h
)
ecm_generate_headers(libpala_CamelCase_HEADERS
    HEADER_NAMES
        Slicer
        SlicerJob
        SlicerMode
        SlicerProperty
        SlicerPropertySet
    REQUIRED_HEADERS libpala_HDRS
    PREFIX Pala
)

generate_export_header(pala BASE_NAME libpala)
target_link_libraries(pala KF5::I18n Qt5::Gui)
target_include_directories(pala
    INTERFACE
        "$<INSTALL_INTERFACE:${libpala_INSTALL_INCLUDEDIR}>"
)
set_target_properties(pala PROPERTIES
    VERSION ${libpala_VERSION}
    SOVERSION ${libpala_SOVERSION}
    EXPORT_NAME Pala
)

install(TARGETS pala EXPORT PalaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
# pala/ & Pala/ are class namespace path part
install(FILES ${libpala_HDRS} DESTINATION ${libpala_INSTALL_INCLUDEDIR}/pala COMPONENT Devel)
install(FILES ${libpala_CamelCase_HEADERS} DESTINATION ${libpala_INSTALL_INCLUDEDIR}/Pala COMPONENT Devel)

export(TARGETS pala FILE "${PROJECT_BINARY_DIR}/PalaTargets.cmake")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Pala")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/PalaConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/PalaConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/PalaConfigVersion.cmake"
    VERSION ${libpala_VERSION}
    COMPATIBILITY SameMajorVersion
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/PalaConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/PalaConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT PalaTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

=== debian/changelog ===
palapeli (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:49 +0000

palapeli (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:26:23 +0000

palapeli (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:34:14 +0000

palapeli (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:31:16 +0000

palapeli (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:13:55 +0000

palapeli (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:38 +0000

palapeli (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:11 +0000

palapeli (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: palapeli
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -22,7 +23,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),
@@ -35,8 +36,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/games/org.kde.palapeli
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
 
 Package: palapeli
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/tmp -name '*.so' -type l -delete
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/libpala/*.cmake
	rm -fr debian/tmp/usr/lib/*/cmake/Pala/

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

## palapeli 22.08.1

=== debian/changelog ===
palapeli (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:52 +0100

palapeli (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:01 +0100

palapeli (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:07 +0100

palapeli (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:50 +0100

palapeli (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:08 +0100

palapeli (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
                libkf5itemviews-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5notifications-dev (>= 5.46.0~),
                libkf5service-dev (>= 5.46.0~),

## palapeli 22.12.0

=== debian/changelog ===
palapeli (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:47 +0100

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5archive-dev (>= 5.91.0~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5itemviews-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5service-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               shared-mime-info,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://kde.org/applications/games/org.kde.palapeli
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.
